package com.tsconsulting.dsubbotin.tm.endpoint;

import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;
import java.net.MalformedURLException;
import java.net.URL;

/**
 * This class was generated by Apache CXF 3.4.3
 * 2021-07-28T15:37:14.244+03:00
 * Generated source version: 3.4.3
 */
@WebServiceClient(name = "ProjectTaskEndpointService",
        wsdlLocation = "http://localhost:8081/ProjectTaskEndpoint?wsdl",
        targetNamespace = "http://endpoint.tm.dsubbotin.tsconsulting.com/")
public class ProjectTaskEndpointService extends Service {

    public final static URL WSDL_LOCATION;

    public final static QName SERVICE = new QName("http://endpoint.tm.dsubbotin.tsconsulting.com/", "ProjectTaskEndpointService");
    public final static QName ProjectTaskEndpointPort = new QName("http://endpoint.tm.dsubbotin.tsconsulting.com/", "ProjectTaskEndpointPort");

    static {
        URL url = null;
        try {
            url = new URL("http://localhost:8081/ProjectTaskEndpoint?wsdl");
        } catch (MalformedURLException e) {
            java.util.logging.Logger.getLogger(ProjectTaskEndpointService.class.getName())
                    .log(java.util.logging.Level.INFO,
                            "Can not initialize the default wsdl from {0}", "http://localhost:8081/ProjectTaskEndpoint?wsdl");
        }
        WSDL_LOCATION = url;
    }

    public ProjectTaskEndpointService(URL wsdlLocation) {
        super(wsdlLocation, SERVICE);
    }

    public ProjectTaskEndpointService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public ProjectTaskEndpointService() {
        super(WSDL_LOCATION, SERVICE);
    }

    public ProjectTaskEndpointService(WebServiceFeature... features) {
        super(WSDL_LOCATION, SERVICE, features);
    }

    public ProjectTaskEndpointService(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, SERVICE, features);
    }

    public ProjectTaskEndpointService(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }


    /**
     * @return returns ProjectTaskEndpoint
     */
    @WebEndpoint(name = "ProjectTaskEndpointPort")
    public ProjectTaskEndpoint getProjectTaskEndpointPort() {
        return super.getPort(ProjectTaskEndpointPort, ProjectTaskEndpoint.class);
    }

    /**
     * @param features A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return returns ProjectTaskEndpoint
     */
    @WebEndpoint(name = "ProjectTaskEndpointPort")
    public ProjectTaskEndpoint getProjectTaskEndpointPort(WebServiceFeature... features) {
        return super.getPort(ProjectTaskEndpointPort, ProjectTaskEndpoint.class, features);
    }

}
